"use strict";
/**
 * mplus_modal_menu
 */
var mplus_modal_menu = function(){
	// 상속
	mplus_common.call(this);
	
	// 상위 객체 생성
	//var mplusPatient = new mplus_mobile_patient();
	//var mplusNursing = new mplus_nursing();
	
	//super
	var self = this;
	
	//==== 변수 { ====
	//==== 변수 } ====
	
	/**
	 * 초기화
	 */
	this.init = function(){ //여기서 모든화면 콤보박스데이터를 집어넣자!!! 그래야지 화면이동할때 속도가 오래걸리지않음!!!
		// 초기 화면 조건 구성
		initCondition();
		
		// 이벤트 초기화
		addEvent();
	};
	
	var initCondition = function(){
		// 초기 화면 조건 구성
	};
	
	var addEvent = function(){
		// 이벤트 초기화
		//$("#btnLogout").off("click");
		//$("#btnLogout").on("click", function(){
		//	logout();
		//});
		
		$("#btnChangeDept").off("click");
		$("#btnChangeDept").on("click", function(){
			openChangeDept();
		});
		
		//$("#btnChangeDept2").off("click");
		//$("#btnChangeDept2").on("click", function(){
		//	openChangeDept();
		//});		
		
		//$("#btnDefaultDept").off("click");
		//$("#btnDefaultDept").on("click", function(){
		//	openDefaultDept();
		//});		
		
		//$("#btnDefaultPage").off("click");
		//$("#btnDefaultPage").on("click", function(){
		//	openDefaultPage();
		//});	
		
		//$("#btnRegistFido").off("click");
		//$("#btnRegistFido").on("click", function(){
		//	openRegistFido();
		//});	
		
		//$("#btnRemoveFido").off("click");
		//$("#btnRemoveFido").on("click", function(){
		//	openRemoveFido();
		//});	
		
		//$("#btnChangeAppPassword").off("click");
		//$("#btnChangeAppPassword").on("click", function(){
		//	console.log("execute : lockscreen()");
		//	lockscreen();
		//});	
		
		$("#btnExitApp").off("click");
		$("#btnExitApp").on("click", function(){
			console.log("execute : exitApp()");
			exitApp();
		});	
		
		// 환경 설정 목록 오픈
		$("#btnOpenConfigList").off("click");
		$("#btnOpenConfigList").on("click", function(){
			$("#modalConfigList").modal("show");
			$("#modalConfigList .modal-body").scrollTop(0);
			mplusModalConfiglist.init();
		});	
	};

	// 부서 선택 모달 화면 오픈
	var openChangeDept = function(){
		var deptList = JSON.parse(localStorage.departmentList);
		var strDisplayTemp = "";
		$("#modalChangeDept .modal-body").empty();
		for(var i=0; i<deptList.length; i++){
//			strDisplayTemp += "<div class=\"radio3 radio-check\">"
//			+ "  <input name=\"modalChangeDeptRadio\" type=\"radio\" id=\"modalChangeDeptRadio" + i + "\" value=\"" + deptList[i].deptCd + "\" deptname=\"" + deptList[i].deptNm + "\">"
//			+ "  <label for=\"modalChangeDeptRadio" + i + "\">" + deptList[i].deptNm + "</label>"
//			+ "</div>"
//			;
			strDisplayTemp += "<div class=\"custom-control custom-radio wide\">"
			+ "  <input name=\"modalChangeDeptRadio\" type=\"radio\" class=\"custom-control-input\" id=\"modalChangeDeptRadio" + i + "\" value=\"" + deptList[i].deptCd + "\" deptname=\"" + deptList[i].deptNm + "\"> "
			+ "  <label class=\"cst-control-label\" for=\"modalChangeDeptRadio" + i + "\">" + deptList[i].deptNm + "</label>"
			+ "</div>"
			;
		};

		$("#modalChangeDept .modal-body").append( strDisplayTemp);
		
		// 선택된 부서를 초기 설정으로 등록
		if (localStorage.getItem("selectedDeptCd") == undefined || localStorage.getItem("selectedDeptCd") == "") {
			$("#modalChangeDeptRadio0").attr("checked", "true");
		} else {
			$("input:radio[name=modalChangeDeptRadio]:input[value=" + localStorage.getItem("selectedDeptCd") + "]").attr("checked", true);
		}
			
		$("#modalChangeDept").modal("show");
		$("#modalChangeDept .modal-body").scrollTop(0);
		
		// 버튼 이벤트 추가
		$("#btnModalChangeDept").off("click");
		$("#btnModalChangeDept").on("click", function(){
			console.log( "부서 변경 : " + $("input:radio[name=modalChangeDeptRadio]:checked").val());
			//선택된 과를 기본 부서로 설정
			localStorage.setItem("selectedDeptCd", $("input:radio[name=modalChangeDeptRadio]:checked").val());
			localStorage.setItem("selectedDeptNm", $("input:radio[name=modalChangeDeptRadio]:checked").attr("deptname"));
			
			// 선택된 부서를 셋팅하고 페이지를 Open
			var getTargetDeptCd = localStorage.getItem("selectedDeptCd");
			for(var j = 0; j < deptList.length; j++){
				if( getTargetDeptCd == deptList[j].deptCd){
					// 선택된 부서를 localstorage에 셋팅
					self.common.setLocalStorageSelectedInfo( deptList[j]);				
					break;
				}
			}	
			
			// 선택된 사용자와 부서를 메뉴 화면에 표시
			$("#spanCurrentUserName").text( gLoginUserNm + " 님");
			$("#spanCurrentDeptName").text( localStorage.getItem("selectedDeptNm"));
			
			// 설정 화면 닫기
			//self.alertTrue( "부서를 변경하였습니다.", function(){$("#modalChangeDept").modal("hide");});
			$("#modalChangeDept").modal("hide");
		});
	};
	
};